function iou = get_iou(annorect1, annorect2)

  if isstruct(annorect1)
    rect1 = [annorect1.x1, annorect1.y1;
             annorect1.x2, annorect1.y2;
             annorect1.x3, annorect1.y3;
             annorect1.x4, annorect1.y4];

    rect2 = [annorect2.x1, annorect2.y1;
             annorect2.x2, annorect2.y2;
             annorect2.x3, annorect2.y3;
             annorect2.x4, annorect2.y4];
  else
    rect1 = annorect1;
    rect2 = annorect2;
  end
  
  c1 = 0.5*(rect1(1, :) + rect1(3, :));
  R1 = norm(rect1(1, :) - c1, 2);

  c2 = 0.5*(rect2(1, :) + rect2(3, :));
  R2 = norm(rect2(1, :) - c2, 2);

  dc12 = norm(c2 - c1, 2);
  
  if dc12 > R1 + R2
    iou = 0;
  else
    a1 = rect_area(rect1);
    a2 = rect_area(rect2);
    ia = intersection_area(rect1, rect2, false);

    %fprintf('a1: %f, a2: %f, ia: %f\n', a1, a2, ia);

    iou = ia / (a1 + a2 - ia);
    %fprintf('iou: %f\n', iou);
    %pause;

  end
